/*
**  strsort() -- Shell sort an array of string pointers via strcmp()
**  public domain by Ray Gardner   Denver, CO   12/88
*/

strsort (char **v, unsigned n)
{
      unsigned int gap, i, j;
      char **a, **b, *tmp;

      for (gap = 0; ++gap < n; )
            gap *= 2;
      while (gap /= 2)
      {
            for (i = gap; i < n; i++)
            {
                  for (j = i - gap; ;j -= gap)
                  {
                        a = v + j;
                        b = a + gap;
                        if (strcmp(*a, *b) <= 0)
                              break;
                        tmp = *a;
                        *a = *b;
                        *b = tmp;
                        if (j < gap)
                              break;
                  }
            }
      }
}
